import pytest

from browserdriver import BrowserDriver


@pytest.mark.firefox
def test_firefox_browser(headless):
    bd = BrowserDriver().get("firefox", headless=headless)
    bd.get('https://test.io')
    assert bd.title == "Home | Test IO"
    bd.quit()


@pytest.mark.chrome
def test_chrome_browser(headless):
    bd = BrowserDriver().get("chrome", headless=headless)
    bd.get('https://test.io')
    assert bd.title == "Home | Test IO"
    bd.quit()


@pytest.mark.skip(reason="Safari is not available")
def test_safari_browser():
    bd = BrowserDriver().get("safari", headless=False)
    bd.get('https://test.io')
    assert bd.title == "Home | Test IO"
    bd.quit()


@pytest.mark.edge
def test_edge_browser(headless):
    bd = BrowserDriver().get("edge", headless=headless)
    bd.get('https://test.io')
    assert bd.title == "Home | Test IO"
    bd.quit()
